## org.hibernate.hql
Class CollectionProperties

    java.lang.Object
      org.hibernate.hql.CollectionProperties

    public final class CollectionProperties

extends Object

Provides a map of collection function names to the corresponding property names.

Author:
  josh

Field Summary
`static Map` `HQL_COLLECTION_PROPERTIES`

Method Summary
`static String` `getNormalizedPropertyName(String name)`
`static boolean` `isAnyCollectionProperty(String name)`
`static boolean` `isCollectionProperty(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HQL_COLLECTION_PROPERTIES

    public static final Map HQL_COLLECTION_PROPERTIES

Method Detail

### isCollectionProperty

    public static boolean isCollectionProperty(String name)

### getNormalizedPropertyName

    public static String getNormalizedPropertyName(String name)

### isAnyCollectionProperty

    public static boolean isAnyCollectionProperty(String name)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.